MatrixSetColorMapCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetColorMapCommand:

## Public Member Functions

| MatrixSetColorMapCommand (Matrix *m, Matrix::ColorMapType d_map_type_before, const LinearColorMap &d_map_before, Matrix::ColorMapType d_map_type_after, const LinearColorMap &d_map_after, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

LinearColorMap | d_map_after
LinearColorMap | d_map_before
Matrix::ColorMapType | d_map_type_after
Matrix::ColorMapType | d_map_type_before
Matrix * | d_matrix

## Constructor & Destructor Documentation

## MatrixSetColorMapCommand()

MatrixSetColorMapCommand::MatrixSetColorMapCommand | ( | Matrix * | m,
|  | Matrix::ColorMapType | d_map_type_before,
|  | const LinearColorMap & | d_map_before,
|  | Matrix::ColorMapType | d_map_type_after,
|  | const LinearColorMap & | d_map_after,
|  | const QString & | text
| ) |  |

References d_map_after, and d_map_before.

## Member Function Documentation

## redo()

void MatrixSetColorMapCommand::redo | ( |  | ) |

virtual

References Matrix::Custom, d_map_after, d_map_type_after, d_matrix, Matrix::Default, Matrix::GrayScale, Matrix::Rainbow, Matrix::setColorMap(), Matrix::setDefaultColorMap(), Matrix::setGrayScale(), and Matrix::setRainbowColorMap().

## undo()

void MatrixSetColorMapCommand::undo | ( |  | ) |

virtual

References Matrix::Custom, d_map_before, d_map_type_before, d_matrix, Matrix::Default, Matrix::GrayScale, Matrix::Rainbow, Matrix::setColorMap(), Matrix::setDefaultColorMap(), Matrix::setGrayScale(), and Matrix::setRainbowColorMap().

## Member Data Documentation

## d_map_after

LinearColorMap MatrixSetColorMapCommand::d_map_after

private

Referenced by MatrixSetColorMapCommand(), and redo().

## d_map_before

LinearColorMap MatrixSetColorMapCommand::d_map_before

private

Referenced by MatrixSetColorMapCommand(), and undo().

## d_map_type_after

Matrix::ColorMapType MatrixSetColorMapCommand::d_map_type_after

private

Referenced by redo().

## d_map_type_before

Matrix::ColorMapType MatrixSetColorMapCommand::d_map_type_before

private

Referenced by undo().

## d_matrix

Matrix* MatrixSetColorMapCommand::d_matrix

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp